Subject: FVWM: Idea: Improved Window List Menu

From: Chris McCarthy <[email-masked]>
Date: Fri, 1 Nov 2002 00:53:56 -0500 (EST)

Hi FVWM Team,

	I would like to tell you folks how much I support your efforts.
FVWM Is an awesome system I have used for years & lets me have nearly identical
desktops between my SUN desktop and my Linux laptop.   Also, I'm often amazed
that some of the newer windowing systems don't easily allow draging a window
from desktop to desktop, which FVWM has had all along!!

	Now for my IDEA:  
	
When I click right mouse button, I get a menu of all active windows.
What I would like to do is allow this menu to be sorted according to
the name of the window in 1 or 2 ways:

1.)   All windows with the same file extension or same name (ie xterm, or 
	.c ) would be color-coded the same color.
	
2.) Even better, the menu would include submenus, ie all windows with file
	extensions ".c", then look under that list, etc.
	
Could these ideas be implemented in future (or present) versions of
FVWM?   Sorry if this email is out of place, please do forward it
to whomever.

Also you folks should have a donations page!  If any FVWM developers/
maintainers are in the Wash DC. area, let me know & I will buy them a
beer.   Thanks so much,

Chris McCarthy
Astronomy Postdoc,
Carnegie Institution of Washington/DTM

--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].